# std::chrono::operator<< (std::chrono::weekday_last)

From cppreference.com
< cpp‎ | chrono‎ | weekday last

template <class CharT, class Traits> std::basic_ostream<CharT, Traits>& operator<<(std::basic_ostream<CharT, Traits>& os, const std::chrono::weekday_last& wdl); |  | (since C++20)

Outputs a textual representation of `wdl` into the stream `os`, as if by os << wdl.weekday() << "[last]";.

### Return value

`os`.

### Notes

This `operator<<` is primarily intended for debugging use. When used with non-default stream flags, the output may be surprising:

    auto wdl = std::chrono::Sunday[std::chrono::last];
    std::cout.width(10);
    std::cout.fill('-');
    std::cout << std::left << wdl; // may output "Sun-------[last]"

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/weekday_last/operator_ltlt&oldid=104790"